curl --request POST \
--url https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "osd.22 reports a firmware impending failure",
"subject": "Disk pressure on europa",
"message_structure": "json",
"attributes": {
"severity": {
"type": "String",
"value": "critical"
},
"latency": {
"type": "Number",
"value": "250"
}
}
}
'import requests
url = "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish"
payload = {
"message": "osd.22 reports a firmware impending failure",
"subject": "Disk pressure on europa",
"message_structure": "json",
"attributes": {
"severity": {
"type": "String",
"value": "critical"
},
"latency": {
"type": "Number",
"value": "250"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'osd.22 reports a firmware impending failure',
subject: 'Disk pressure on europa',
message_structure: 'json',
attributes: {
severity: {type: 'String', value: 'critical'},
latency: {type: 'Number', value: '250'}
}
})
};
fetch('https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'osd.22 reports a firmware impending failure',
'subject' => 'Disk pressure on europa',
'message_structure' => 'json',
'attributes' => [
'severity' => [
'type' => 'String',
'value' => 'critical'
],
'latency' => [
'type' => 'Number',
'value' => '250'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish"
payload := strings.NewReader("{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"message_id": "019400aa-bbbb-7ccc-8ddd-eeeeffff0000"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Publicar una notificación
Devuelve 202 tras persistir y encolar la notificación. La distribución aún no ha ocurrido; delivery_count permanece en 0 hasta que termine.
curl --request POST \
--url https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "osd.22 reports a firmware impending failure",
"subject": "Disk pressure on europa",
"message_structure": "json",
"attributes": {
"severity": {
"type": "String",
"value": "critical"
},
"latency": {
"type": "Number",
"value": "250"
}
}
}
'import requests
url = "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish"
payload = {
"message": "osd.22 reports a firmware impending failure",
"subject": "Disk pressure on europa",
"message_structure": "json",
"attributes": {
"severity": {
"type": "String",
"value": "critical"
},
"latency": {
"type": "Number",
"value": "250"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'osd.22 reports a firmware impending failure',
subject: 'Disk pressure on europa',
message_structure: 'json',
attributes: {
severity: {type: 'String', value: 'critical'},
latency: {type: 'Number', value: '250'}
}
})
};
fetch('https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'message' => 'osd.22 reports a firmware impending failure',
'subject' => 'Disk pressure on europa',
'message_structure' => 'json',
'attributes' => [
'severity' => [
'type' => 'String',
'value' => 'critical'
],
'latency' => [
'type' => 'Number',
'value' => '250'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish"
payload := strings.NewReader("{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://notifications.{region}.basaltic.sh/v1/topics/{topic_id}/publish")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"message\": \"osd.22 reports a firmware impending failure\",\n \"subject\": \"Disk pressure on europa\",\n \"message_structure\": \"json\",\n \"attributes\": {\n \"severity\": {\n \"type\": \"String\",\n \"value\": \"critical\"\n },\n \"latency\": {\n \"type\": \"Number\",\n \"value\": \"250\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"message_id": "019400aa-bbbb-7ccc-8ddd-eeeeffff0000"
}{
"error": {
"code": "INVALID_INPUT",
"message": "Invalid request parameters",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "ACCESS_DENIED",
"message": "You don't have permission to perform this action",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "CONFLICT",
"message": "Resource with this name already exists",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "IDEMPOTENCY_KEY_REUSED",
"message": "This Idempotency-Key was already used with a different request payload",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}notifications:Publish. Consulte NOTIFICATIONS permisos para la lista completa, el alcance de cada acción y un ejemplo de política.Autorizaciones
Un token bearer de OAuth 2.0, enviado como Authorization: Bearer <token>. Esta es la forma recomendada de autenticación.
Obtén el token intercambiando el par de claves de acceso de una cuenta de servicio en POST /v1/oauth/token con grant_type=client_credentials. Es el flujo estándar de credenciales de cliente; las bibliotecas compatibles con OAuth pueden obtener y renovar el token por ti.
curl -s -u "$KEY_ID:$SECRET" -d grant_type=client_credentials \
https://iam.basaltic.sh/v1/oauth/token
Los tokens duran una hora por defecto. El mismo par de claves de acceso también sirve como credencial AWS SigV4 para el endpoint de objetos compatible con S3, que solo acepta ese método de autenticación.
Encabezados
Clave opcional generada por el cliente que hace que una creación sea segura para la reproducción. Al volver a intentar una solicitud con la misma clave, se devuelve el resultado original literalmente en lugar de crear un recurso duplicado. Se rechaza la reutilización de una clave con un cuerpo de solicitud diferente (422); una solicitud cuya clave todavía se está procesando devuelve 409. Los registros se mantienen durante 24 horas. Usa un UUID o un token único similar.
255Parámetros de ruta
"a1b2c3d4-5e6f-4a7b-8c9d-0e1f2a3b4c5d"
Cuerpo
Contenido. Hasta 256 KiB.
262144"osd.22 reports a firmware impending failure"
Se usa como asunto del email. Sin saltos de línea.
100"Disk pressure on europa"
Omítalo para entregar message sin cambios. Use json para interpretar message como un objeto con claves default, email, https y http, permitiendo contenido por protocolo. default es obligatorio y cubre protocolos sin entrada propia.
, json "json"
Atributos tipados comparados con políticas de filtro. Hasta 20 atributos, con valores de hasta 1024 bytes. No se aceptan atributos binarios porque no pueden filtrarse.
Show child attributes
Show child attributes
{
"severity": { "type": "String", "value": "critical" },
"latency": { "type": "Number", "value": "250" }
}
Respuesta
Notificación aceptada para entrega.
"019400aa-bbbb-7ccc-8ddd-eeeeffff0000"

